Subject: Re: command received before ServiceChange ack'ed

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 24 Nov 1999 08:30:53 -0500

> Hi,
>     Annex D.1.6 Fighting the restart avlanche defines the restart
> procedure. It states that the gateway should generate a restart
> ServiceChange to the MGC when either the restart timer expires or a
> local user activity is detected. Suppose a restart ServiceChange is
> sent, and the MGC generates a response, which is lost in
> transit. Right
> after the response, the MGC generates a Modify to request some
> termations to watch for certain events. Because the restart
> procedure is
> not completed (the gateway has not received the response to the
> ServiceChange command yet), how should the gateway deal with this
> command? There are a few alternatives:
> 1. The gateway ignore the message and continue with the restart
> procedure.
> 2. The gateway rejects the message.
> 3. The gateway process the Modify command and retransmit the restart
> ServiceChange followed by the TransactionReply together in
> one message,
> making sure the MGC sees the ServiceChange first.
First of all, I think the first commands after a ServiceChange is an Audit.
Modifies would probably not be my first choice command.

Secondly, using ALF techniques, the MGC would not send the command until it
received an ACK on its response.  Using a reliable transport, the response
normally would not get lost,
but it's always possible that something happens between one
application and another even with TCP.

My answer to the direct question would be #2, return an error.

>     The same question applies when a command is received before any
> ServiceChange is sent to the MGC.
My answer would be the same, return an error.

>     Thanks.
> Waitak
> Cisco Systems

---

From: Ashok Khuntia <[email-masked]>
Date: Wed, 24 Nov 1999 08:43:44 -0600

Brian,

Where is it mentioned in the protocol that using ALF techniques, the MGC
would not send the next command until it received an ACK on its
response? Ack to the response is used to delete old copies of the
responses.

Or, are you saying that in this particular scenario, the MGC would not
send the next command until it received an ACK on its response?

Regards,
Ashok Khuntia

--
  Alcatel USA                         Email:
[email-masked]
  1000 Coit Road Plano, Texas 75075   Phone: 972-477-7073
  **** The opinions expressed are not those of Alcatel USA ****